Bug 1427 - NT clients requests ...\VBE6.DLL/3 and gets ERRbadpath
NT clients requests ...\VBE6.DLL/3 and gets ERRbadpath
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.3
Sparc Solaris
: P3 major
: none
Assigned To: Jeremy Allison
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-04 06:17 UTC by Bertram Bürger
Modified: 2005-08-24 10:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bertram Bürger 2004-06-04 06:17:36 UTC
I have Samba 3.0.3, compiled by Suns Forte6, running on Solaris 2.6.

There is a server based MS Office installation on this Samba server, i.e.
executables and dlls for MS Office are on a Samba share.

In this environment we found that Office files (Word documents, Excel sheets)
don't work correctly on NT clients if they contain macros. The files could not
be saved, the macros don't work.

Doing a network trace we found that the NT client requests the file
...\VBE6.DLL/3. Samba 3.0.3 responds with ERRbadpath and this confuses the
client. Samba 2.2.7 as well as an Windows server reply with ERRbadfile and that
works.

Here is the smbd log of the failed request:

[2004/06/04 15:04:09, 10] lib/util_sock.c:(486)
  got smb length of 192
[2004/06/04 15:04:09, 6] smbd/process.c:(889)
  got message type 0x0 of len 0xc0
[2004/06/04 15:04:09, 3] smbd/process.c:(890)
  Transaction 468 of length 196
[2004/06/04 15:04:09, 5] lib/util.c:(456)
[2004/06/04 15:04:09, 5] lib/util.c:(466)
  size=192
  smb_com=0xa2
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=32771
  smb_tid=2
  smb_pid=25312
  smb_uid=101
  smb_mid=29824
  smt_wct=24
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=27136 (0x6A00)
  smb_vwv[ 3]= 1536 (0x600)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=35072 (0x8900)
  smb_vwv[ 8]=  512 (0x200)
  smb_vwv[ 9]=    0 (0x0)
  smb_vwv[10]=    0 (0x0)
  smb_vwv[11]=    0 (0x0)
  smb_vwv[12]=    0 (0x0)
  smb_vwv[13]=    0 (0x0)
  smb_vwv[14]=    0 (0x0)
  smb_vwv[15]=  256 (0x100)
  smb_vwv[16]=    0 (0x0)
  smb_vwv[17]=  256 (0x100)
  smb_vwv[18]=    0 (0x0)
  smb_vwv[19]=16384 (0x4000)
  smb_vwv[20]=    8 (0x8)
  smb_vwv[21]=  512 (0x200)
  smb_vwv[22]=    0 (0x0)
  smb_vwv[23]=  768 (0x300)
  smb_bcc=109
[2004/06/04 15:04:09, 10] lib/util.c:(1864)
  [000] 00 5C 00 6E 00 74 00 5C  00 6F 00 66 00 66 00 32  .\.n.t.\ .o.f.f.2
  [010] 00 30 00 70 00 5C 00 50  00 46 00 69 00 6C 00 65  .0.p.\.P .F.i.l.e
  [020] 00 73 00 5C 00 43 00 6F  00 6D 00 6D 00 6F 00 6E  .s.\.C.o .m.m.o.n
  [030] 00 5C 00 4D 00 53 00 53  00 68 00 61 00 72 00 65  .\.M.S.S .h.a.r.e
  [040] 00 64 00 5C 00 56 00 42  00 41 00 5C 00 56 00 42  .d.\.V.B .A.\.V.B
  [050] 00 41 00 36 00 5C 00 56  00 42 00 45 00 36 00 2E  .A.6.\.V .B.E.6..
  [060] 00 44 00 4C 00 4C 00 5C  00 33 00 00 00           .D.L.L.\ .3...
[2004/06/04 15:04:09, 3] smbd/process.c:(685)
  switch message SMBntcreateX (pid 27379)
[2004/06/04 15:04:09, 0] smbd/process.c:(640)
  created /tmp/SMBntcreateX.19.req len 196
[2004/06/04 15:04:09, 4] smbd/uid.c:(186)
  change_to_user: Skipping user change - already user
[2004/06/04 15:04:09, 10] smbd/nttrans.c:(609)
  reply_ntcreateX: flags = 0x6, desired_access = 0x20089 file_attributes = 0x0,
share_access = 0x1, create_disposition = 0x1 create_options = 0x840 root_dir_fid
= 0x0
[2004/06/04 15:04:09, 10] smbd/nttrans.c:(343)
  map_create_disposition: Mapped create_disposition 0x1 to 0x1
[2004/06/04 15:04:09, 10] smbd/nttrans.c:(482)
  map_share_mode: Mapped desired access 0x20089, share access 0x1, file
attributes 0x0 to open_mode 0x20
[2004/06/04 15:04:09, 5] smbd/filename.c:(114)
  unix_convert called on file "nt/off20p/PFiles/Common/MSShared/VBA/VBA6/VBE6.DLL/3"
[2004/06/04 15:04:09, 10] smbd/statcache.c:(251)
  stat_cache_lookup: lookup failed for name
[NT/OFF20P/PFILES/COMMON/MSSHARED/VBA/VBA6/VBE6.DLL/3]
[2004/06/04 15:04:09, 10] smbd/statcache.c:(281)
  stat_cache_lookup: lookup succeeded for name
[NT/OFF20P/PFILES/COMMON/MSSHARED/VBA/VBA6/VBE6.DLL] ->
[nt/off20p/PFiles/Common/MSShared/VBA/VBA6/VBE6.DLL]
[2004/06/04 15:04:09, 5] smbd/filename.c:(177)
  unix_convert begin: name =
nt/off20p/PFiles/Common/MSShared/VBA/VBA6/VBE6.DLL/3, dirpath =
nt/off20p/PFiles/Common/MSShared/VBA/VBA6/VBE6.DLL, start = 3
[2004/06/04 15:04:09, 10] smbd/mangle_hash2.c:(269)
  is_mangled 3 ?
[2004/06/04 15:04:09, 10] smbd/mangle_hash2.c:(208)
  is_mangled_component 3 (len 1) ?
[2004/06/04 15:04:09, 10] smbd/mangle_hash2.c:(269)
  is_mangled 3 ?
[2004/06/04 15:04:09, 10] smbd/mangle_hash2.c:(208)
  is_mangled_component 3 (len 1) ?
[2004/06/04 15:04:09, 3] smbd/filename.c:(462)
  scan dir didn't open dir [nt/off20p/PFiles/Common/MSShared/VBA/VBA6/VBE6.DLL]
[2004/06/04 15:04:09, 10] smbd/mangle_hash2.c:(269)
  is_mangled 3 ?
[2004/06/04 15:04:09, 10] smbd/mangle_hash2.c:(208)
  is_mangled_component 3 (len 1) ?
[2004/06/04 15:04:09, 5] smbd/filename.c:(312)
  New file 3
[2004/06/04 15:04:09, 3] smbd/dosmode.c:(111)
  unix_mode(nt/off20p/PFiles/Common/MSShared/VBA/VBA6/VBE6.DLL/3) returning 0744
[2004/06/04 15:04:09, 5] smbd/files.c:(122)
  allocated file structure 918, fnum = 5014 (14 used)
[2004/06/04 15:04:09, 10] smbd/open.c:(833)
  open_file_shared: fname =
nt/off20p/PFiles/Common/MSShared/VBA/VBA6/VBE6.DLL/3, dos_attrs = 0, share_mode
= 20, ofun = 1, mode = 744, oplock request = 3
[2004/06/04 15:04:09, 8] lib/util.c:(1508)
  is_in_path: nt/off20p/PFiles/Common/MSShared/VBA/VBA6/VBE6.DLL/3
[2004/06/04 15:04:09, 8] lib/util.c:(1512)
  is_in_path: no name list.
[2004/06/04 15:04:09, 4] smbd/open.c:(1010)
  calling open_file with flags=0x0 flags2=0x0 mode=0744
[2004/06/04 15:04:09, 10] smbd/open.c:(45)
  fd_open: name nt/off20p/PFiles/Common/MSShared/VBA/VBA6/VBE6.DLL/3, flags = 00
mode = 0744, fd = -1. Not a directory
[2004/06/04 15:04:09, 3] smbd/open.c:(173)
  Error opening file nt/off20p/PFiles/Common/MSShared/VBA/VBA6/VBE6.DLL/3 (Not a
directory) (local_flags=0) (flags=0)
[2004/06/04 15:04:09, 5] smbd/files.c:(385)
  freed files structure 5014 (13 used)
[2004/06/04 15:04:09, 10] smbd/trans2.c:(2211)
  set_bad_path_error: err = 20 bad_path = 0
[2004/06/04 15:04:09, 3] smbd/error.c:(94)
  error string = Not a directory
[2004/06/04 15:04:09, 3] smbd/error.c:(118)
  error packet at smbd/trans2.c(2220) cmd=162 (SMBntcreateX)
NT_STATUS_NOT_A_DIRECTORY
[2004/06/04 15:04:09, 0] smbd/process.c:(640)
  created /tmp/SMBntcreateX.19.resp len 39
[2004/06/04 15:04:09, 5] lib/util.c:(456)
[2004/06/04 15:04:09, 5] lib/util.c:(466)
  size=35
  smb_com=0xa2
  smb_rcls=3
  smb_reh=1
  smb_err=49152
  smb_flg=136
  smb_flg2=51201
  smb_tid=2
  smb_pid=25312
  smb_uid=101
  smb_mid=29824
  smt_wct=0
  smb_bcc=0
[2004/06/04 15:04:09, 6] lib/util_sock.c:(430)
  write_socket(22,39)
[2004/06/04 15:04:09, 6] lib/util_sock.c:(433)
  write_socket(22,39) wrote 39


Regards,

Bertram Bürger

Fraunhofer IPMS     Tel     +49 351 8823 257
Grenzstr. 28        Fax     +49 351 8823 266 
D-01109 Dresden     e-mail  Bertram.Buerger@ipms.fraunhofer.de 

http://www.ipms.fraunhofer.de/
Comment 1 Gerald (Jerry) Carter 2004-06-04 09:38:04 UTC
Jeremy, this looks like one for you.
Comment 2 Jeremy Allison 2004-06-04 09:56:10 UTC
More information please. Can you give me a directory listing of the directory :

nt/off20p/PFiles/Common/MSShared/VBA/VBA6/

Does the file VBE6.DLL exist ?

Thanks,

Jeremy.
Comment 3 Jeremy Allison 2004-06-04 11:29:32 UTC
Ok, the other thing I need to know is what are the clients, and are they
negotiating DOS or NT error status codes ?

An ethereal capture file of a the correct error code from a Windows server and
the incorrect error code from Samba would also help.

Jeremy.
Comment 4 Gerald (Jerry) Carter 2004-08-16 20:35:13 UTC
is this one fixed ?  If there has been no more followup from the 
reporter since June, we should close it.
Comment 5 Bertram Bürger 2004-08-31 01:14:51 UTC
(In reply to comment #4)
> is this one fixed ?  If there has been no more followup from the 
> reporter since June, we should close it.

I sent the network traces in June. I tried it twice, first as ZIP attachement
that was refused by the samba mailer, then as gzip files where I didn't get an
error but it seems they didn't arrive too. How can I send these rather large files?

Bertram Bürger
Comment 6 Gerald (Jerry) Carter 2004-08-31 06:48:07 UTC
Jeremy, I forwarded those traces to you.  Do you still have them ?
Comment 7 Jeremy Allison 2004-08-31 09:28:53 UTC
Actually this is my fault - I fixed this pretty soon after getting the traces
and neglected to close this one out. It is fixed for 3.0.6.

Jeremy.
Comment 8 Gerald (Jerry) Carter 2005-08-24 10:16:08 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.